Page MenuHomePhabricator

[OpenMP][host runtime] Add support for GOMP depobj
ClosedPublic

Authored by jlpeyton on Aug 26 2021, 2:33 PM.

Details

Summary

GOMP depobjs are represented as a two intptr_t array. The first
element is the base address of the dependency and the second element
is the flag indicating the type the depobj represents.

Diff Detail

Event Timeline

jlpeyton created this revision.Aug 26 2021, 2:33 PM
jlpeyton requested review of this revision.Aug 26 2021, 2:33 PM
AndreyChurbanov accepted this revision.Sep 6 2021, 4:25 AM

LGTM

openmp/runtime/test/lit.cfg
49

Just a nit: this -L and following extra flags are duplicated here, as they are already present in flags.

This revision is now accepted and ready to land.Sep 6 2021, 4:25 AM
jlpeyton updated this revision to Diff 372732.Sep 15 2021, 9:41 AM

Updates test flags and takes into account that typical LLVM builds still need to include the just-built omp.h for testing the just-built compiler.

This revision was automatically updated to reflect the committed changes.